Index: DnsResult.cxx
===================================================================
--- DnsResult.cxx	(revision 3899)
+++ DnsResult.cxx	(working copy)
@@ -307,7 +307,7 @@
       }
       
       int ancount = DNS_HEADER_ANCOUNT(abuf);    /* answer record count */
-      for (int i = 0; i < ancount && aptr; i++)
+      for ( i = 0; i < ancount && aptr; i++)
       {
          NAPTR naptr;
          const unsigned char *aptr2;
@@ -358,7 +358,7 @@
 
       int nscount = DNS_HEADER_NSCOUNT(abuf);    /* name server record count */
       StackLog (<< "Found " << nscount << " nameserver records");
-      for (int i = 0; i < nscount && aptr; i++)
+      for ( i = 0; i < nscount && aptr; i++)
       {
          // this will ignore NS records
          aptr = parseAdditional(aptr, abuf, alen);
@@ -366,7 +366,7 @@
 
       int arcount = DNS_HEADER_ARCOUNT(abuf);    /* additional record count */
       StackLog (<< "Found " << arcount << " additional records");
-      for (int i = 0; i < arcount && aptr; i++)
+      for ( i = 0; i < arcount && aptr; i++)
       {
          // this will store any related SRV and A records
          // don't store SRV records other than the one in the selected NAPTR
@@ -447,7 +447,7 @@
       }
       
       int ancount = DNS_HEADER_ANCOUNT(abuf);    /* answer record count */
-      for (int i = 0; i < ancount && aptr; i++)
+      for ( i = 0; i < ancount && aptr; i++)
       {
          SRV srv;
          aptr = parseSRV(aptr, abuf, alen, srv);
@@ -479,7 +479,7 @@
 
       int nscount = DNS_HEADER_NSCOUNT(abuf);    /* name server record count */
       StackLog (<< "Found " << nscount << " nameserver records");
-      for (int i = 0; i < nscount && aptr; i++)
+      for ( i = 0; i < nscount && aptr; i++)
       {
          // this will ignore NS records
          aptr = parseAdditional(aptr, abuf, alen);
@@ -487,7 +487,7 @@
       
       int arcount = DNS_HEADER_ARCOUNT(abuf);    /* additional record count */
       StackLog (<< "Found " << arcount << " additional records");
-      for (int i = 0; i < arcount && aptr; i++)
+      for ( i = 0; i < arcount && aptr; i++)
       {
          // this will store any related A records
          aptr = parseAdditional(aptr, abuf, alen);
