Index: ares_init.c
===================================================================
--- ares_init.c	(revision 3899)
+++ ares_init.c	(working copy)
@@ -68,6 +68,7 @@
 int ares_init(ares_channel *channelptr)
 {
 #ifdef WIN32
+#ifndef _WIN32_WCE
   HKEY hKey;  
   char hostpath[256];
   if(RegOpenKeyEx(HKEY_LOCAL_MACHINE, "SYSTEM\\CurrentControlSet\\Services\\Tcpip\\Parameters", 0, KEY_QUERY_VALUE, &hKey) == ERROR_SUCCESS)
@@ -84,6 +85,7 @@
       }
   }
 #endif
+#endif
   return ares_init_options(channelptr, NULL, 0);
 }
 
@@ -354,7 +356,7 @@
 		  return ARES_ENOTIMP;
 	  }
 
-	  (void*)GetNetworkParams = GetProcAddress(hLib, "GetNetworkParams");
+	  (void*)GetNetworkParams = GetProcAddress(hLib, _T("GetNetworkParams"));
 	  if(!GetNetworkParams)
 	  {
 		  FreeLibrary(hLib);
