Index: SipMessage.cxx
===================================================================
--- SipMessage.cxx	(revision 3899)
+++ SipMessage.cxx	(working copy)
@@ -96,12 +96,12 @@
          }
       }
   
-      for (UnknownHeaders::const_iterator i = rhs.mUnknownHeaders.begin();
-           i != rhs.mUnknownHeaders.end(); i++)
+      for (UnknownHeaders::const_iterator j = rhs.mUnknownHeaders.begin();
+           j != rhs.mUnknownHeaders.end(); j++)
       {
          mUnknownHeaders.push_back(pair<Data, HeaderFieldValueList*>(
-                                      i->first,
-                                      new HeaderFieldValueList(*i->second)));
+                                      j->first,
+                                      new HeaderFieldValueList(*j->second)));
       }
       if (rhs.mStartLine != 0)
       {
@@ -142,17 +142,17 @@
       mHeaders[i] = 0;
    }
 
-   for (UnknownHeaders::iterator i = mUnknownHeaders.begin();
-        i != mUnknownHeaders.end(); i++)
+   for (UnknownHeaders::iterator j = mUnknownHeaders.begin();
+        j != mUnknownHeaders.end(); j++)
    {
-      delete i->second;
+      delete j->second;
    }
    mUnknownHeaders.clear();
    
-   for (vector<char*>::iterator i = mBufferList.begin();
-        i != mBufferList.end(); i++)
+   for (vector<char*>::iterator k = mBufferList.begin();
+        k != mBufferList.end(); k++)
    {
-      delete [] *i;
+      delete [] *k;
    }
    mBufferList.clear();
 
@@ -568,10 +568,10 @@
       }
    }
 
-   for (UnknownHeaders::const_iterator i = mUnknownHeaders.begin(); 
-        i != mUnknownHeaders.end(); i++)
+   for (UnknownHeaders::const_iterator j = mUnknownHeaders.begin(); 
+        j != mUnknownHeaders.end(); j++)
    {
-      i->second->encode(i->first, str);
+      j->second->encode(j->first, str);
    }
 
    str << Symbols::CRLF;
@@ -612,8 +612,8 @@
       }
    }
 
-   for (UnknownHeaders::const_iterator i = mUnknownHeaders.begin(); 
-        i != mUnknownHeaders.end(); i++)
+   for (UnknownHeaders::const_iterator j = mUnknownHeaders.begin(); 
+        j != mUnknownHeaders.end(); j++)
    {
       if (first)
       {
@@ -624,7 +624,7 @@
       {
          str << Symbols::AMPERSAND;
       }
-      i->second->encodeEmbedded(i->first, str);
+      j->second->encodeEmbedded(j->first, str);
    }
 
    if (mContents != 0)
